package info.textgrid.middleware;

import info.textgrid.middleware.oaipmh.HeaderType;
import info.textgrid.middleware.oaipmh.ListRecordsType;

/**
 *
 */
public interface RecordListDelivererInterface {

  /**
   * @param from
   * @param to
   * @param set
   * @param resumptionToken
   * @return
   */
  public ListRecordsType getRecords(String from, String to, String set, String resumptionToken);

  /**
   * @param set
   * @param headerIdentifier
   * @return
   */
  public HeaderType setHeader(String set, String headerIdentifier, String setSpec);

}
